summaryrefslogtreecommitdiff
path: root/package/miredo/files/miredo.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/miredo/files/miredo.init')
-rw-r--r--package/miredo/files/miredo.init25
1 files changed, 25 insertions, 0 deletions
diff --git a/package/miredo/files/miredo.init b/package/miredo/files/miredo.init
new file mode 100644
index 000000000..bb4b3fdcd
--- /dev/null
+++ b/package/miredo/files/miredo.init
@@ -0,0 +1,25 @@
+#!/bin/sh
+#FWINIT 60
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${miredo:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ miredo
+ ;;
+stop)
+ killall miredo
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "usage: $0 {start | stop | restart}"
+ exit 1
+esac
+exit $?